Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# poa_macros.h File Reference

`#include "ace/CORBA_macros.h"`
`#include "tao/orbconf.h"`

Include dependency graph for poa_macros.h:

This graph shows which files directly or indirectly include this file:

## Defines
#define | TAO_OBJECT_ADAPTER_GUARD
#define | TAO_OBJECT_ADAPTER_GUARD_RETURN(RETURN)
#define | TAO_POA_GUARD
#define | TAO_POA_GUARD_RETURN(RETURN)

## Define Documentation

#define TAO_OBJECT_ADAPTER_GUARD

| Value:
    ACE_GUARD_THROW_EX (ACE_Lock, \
                          monitor, \
                          this->lock (), \
                          CORBA::OBJ_ADAPTER ()); \
      ACE_CHECK

#define TAO_OBJECT_ADAPTER_GUARD_RETURN | ( | RETURN |  | ) |

| Value:
    ACE_GUARD_THROW_EX (ACE_Lock, \
                          monitor, \
                          this->lock (), \
                          CORBA::OBJ_ADAPTER ()); \
      ACE_CHECK_RETURN (RETURN)

#define TAO_POA_GUARD

| Value:
    TAO_POA_Guard poa_guard (*this ACE_ENV_ARG_PARAMETER); \
      ACE_UNUSED_ARG (poa_guard); \
      ACE_CHECK

#define TAO_POA_GUARD_RETURN | ( | RETURN |  | ) |

| Value:
    TAO_POA_Guard poa_guard (*this ACE_ENV_ARG_PARAMETER); \
      ACE_UNUSED_ARG (poa_guard); \
      ACE_CHECK_RETURN (RETURN)